<template>
  <div :id="settings.id || null" :class="settings.class" :style="settings.style">
    <!-- <categories-dropdown
      v-if="settings.catalog_categories_visibility"
      :categories="$store.state.catalog.categories.tree"
    ></categories-dropdown>

    <v-divider class="my-5"></v-divider> -->

    <products-home
      v-if="productsOptions.visibility"
      :primary-limit="productsOptions.primaryLimit"
      :secondary-limit="productsOptions.secondaryLimit"
    ></products-home>
  </div>
</template>

<script>
export default {
  props: {
    layout: {
      type: Object,
      required: true,
    },
  },

  data: () => ({
    categories: [],
  }),

  computed: {
    settings() {
      return this.layout.settings
    },

    productsOptions() {
      return {
        visibility: this.settings.product_catalog_visibility,
        primaryLimit: this.settings.primary_limit,
        secondaryLimit: this.settings.secondary_limit,
      }
    },
  },
}
</script>
